osx scons/ffmpeg tweaks
authorMatt Ebb <matt@mke3.net>
Thu, 6 Aug 2009 22:06:11 +0000 (22:06 +0000)
committerMatt Ebb <matt@mke3.net>
Thu, 6 Aug 2009 22:06:11 +0000 (22:06 +0000)
* options to enable building with precompiled ffmpeg (in /lib) rather than building from source in extern - this is off by default since I haven't compiled ffmpeg for ppc yet

* tweaks to enable building ffmpeg on osx better out of the box (still need to install yasm with these options on though..)

config/darwin-config.py

index d6fcb14b4a9d41f81cc868d76652e50bb4629dd4..171552d0822201a5003bfb1d57f5717bf16f4b0c 100644 (file)
@@ -32,22 +32,28 @@ BF_PYTHON_VERSION = '3.1'
 if MAC_PROC== 'powerpc' and BF_PYTHON_VERSION == '2.3':
        MAC_MIN_VERS = '10.3'
        MACOSX_SDK='/Developer/SDKs/MacOSX10.3.9.sdk'
-elif MAC_CUR_VER=='10.4':
+else:
        MAC_MIN_VERS = '10.4'
        MACOSX_SDK='/Developer/SDKs/MacOSX10.4u.sdk'
-else:
-       MAC_MIN_VERS = '10.5'
-       MACOSX_SDK='/Developer/SDKs/MacOSX10.5.sdk'
 
 
 # enable ffmpeg  support
 WITH_BF_FFMPEG = True  # -DWITH_FFMPEG
-BF_FFMPEG = "#extern/ffmpeg"
-BF_FFMPEG_INC = '${BF_FFMPEG}'
-if USE_SDK==True:
-       BF_FFMPEG_EXTRA = '-isysroot '+MACOSX_SDK+' -mmacosx-version-min='+MAC_MIN_VERS
-#BF_FFMPEG_LIBPATH='${BF_FFMPEG}/lib'
-#BF_FFMPEG_LIB = 'avformat.a avcodec.a avutil.a'
+FFMPEG_PRECOMPILED = False
+if FFMPEG_PRECOMPILED:
+       # use precompiled ffmpeg in /lib
+       BF_FFMPEG = LIBDIR + '/ffmpeg'
+       BF_FFMPEG_INC = "#extern/ffmpeg"
+       BF_FFMPEG_LIBPATH='${BF_FFMPEG}/lib'
+       BF_FFMPEG_LIB = 'avcodec avdevice avformat avutil mp3lame swscale x264 xvidcore'
+else:
+       # use ffmpeg in extern
+       BF_FFMPEG = "#extern/ffmpeg"
+       BF_FFMPEG_INC = '${BF_FFMPEG}'
+       if USE_SDK==True:
+               BF_FFMPEG_EXTRA = '-isysroot '+MACOSX_SDK+' -mmacosx-version-min='+MAC_MIN_VERS
+       BF_XVIDCORE_CONFIG = '--disable-assembly'       # currently causes errors, even with yasm installed
+       BF_X264_CONFIG = '--disable-pthread'
 
 if BF_PYTHON_VERSION=='3.1':
        # python 3.1 uses precompiled libraries in bf svn /lib by default
@@ -106,6 +112,11 @@ BF_CXX = '/usr'
 WITH_BF_STATICCXX = False
 BF_CXX_LIB_STATIC = '${BF_CXX}/lib/libstdc++.a'
 
+BF_LIBSAMPLERATE = LIBDIR + '/SRC'
+BF_LIBSAMPLERATE_INC = '${BF_LIBSAMPLERATE}/include'
+BF_LIBSAMPLERATE_LIB = 'samplerate'
+BF_LIBSAMPLERATE_LIBPATH = '${BF_LIBSAMPLERATE}/lib'
+
 WITH_BF_SDL = True
 BF_SDL = LIBDIR + '/sdl' #$(shell sdl-config --prefix)
 BF_SDL_INC = '${BF_SDL}/include' #$(shell $(BF_SDL)/bin/sdl-config --cflags)
@@ -189,6 +200,11 @@ BF_ICONV_INC = '${BF_ICONV}/include'
 BF_ICONV_LIB = 'iconv'
 #BF_ICONV_LIBPATH = '${BF_ICONV}/lib'
 
+BF_LIBSAMPLERATE = LIBDIR + '/samplerate'
+BF_LIBSAMPLERATE_INC = '${BF_LIBSAMPLERATE}/include'
+BF_LIBSAMPLERATE_LIB = 'samplerate'
+BF_LIBSAMPLERATE_LIBPATH = '${BF_LIBSAMPLERATE}/lib'
+
 # Mesa Libs should go here if your using them as well....
 WITH_BF_STATICOPENGL = True
 BF_OPENGL_LIB = 'GL GLU'